{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/internal_account_user/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/internal_account_user/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4  flex-wrap gap-3">
        <span class="text-primary header-brand">Benutzer:innen <span class="text-secondary">({{ accountUsers|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#internal_account_user_filter" aria-expanded="false" aria-controls="internal_account_user_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
        </button>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#internal_account_user_search" aria-expanded="false" aria-controls="internal_account_user_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
            {% if internalAccountUserSearchForm.vars.data.getText() != null %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Suche aktiv</span>
                </span>
            {% endif %}
        </button>
        {% if is_granted('ROLE_ACCOUNT_ADMIN') == true %}
            <a class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center" href="{{ path('configuration_internal_account_user_create') }}">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-md-none">anlegen</span>
                <span class="mdc-button__label d-none d-md-block">Nutzer:in anlegen</span>
            </a>
        {% endif %}
    </div>
    <div class="collapse bg-white" id="internal_account_user_search">
        <div class="p-4">
            {{ form_start(internalAccountUserSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': internalAccountUserSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': internalAccountUserSearchForm.text.vars.id ~ '_label',
                        'label': internalAccountUserSearchForm.text.vars.label,
                        'type': 'text',
                        'name': internalAccountUserSearchForm.text.vars.full_name,
                        'value': internalAccountUserSearchForm.text.vars.value,
                        'disabled': internalAccountUserSearchForm.text.vars.disabled,
                        'required': internalAccountUserSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(internalAccountUserSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(internalAccountUserSearchForm._token) }}
            {{ form_end(internalAccountUserSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="internal_account_user_filter">
        <div class="p-4">
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            {% include 'configuration/component/internal_account_user/internal_account_user_list_component.html.twig' with {
                'idPrefix': 'internal_account_user_overview_',
                'listItems': accountUsers,
                'massOperation': is_granted('ROLE_ACCOUNT_ADMIN'),
                'showEditButton': is_granted('ROLE_ACCOUNT_ADMIN'),
                'pagination': true,
                'sortable': true,
                'actionChoices': [
                    {'label': 'Löschen', 'value': path('configuration_internal_account_user_mass_operation_delete')},
                    {'label': 'Sperren', 'value': path('configuration_internal_account_user_mass_operation_lock')},
                ]
            } only %}
        </div>
    </div>
{% endblock %}
